#include <stdio.h>

#include "pico/stdlib.h"

#include "keyer.h"

extern const uint LEFT_PADDLE_PIN;

bool left_paddle_pressed()
{
    if (gpio_get(LEFT_PADDLE_PIN))
    {
        return true;
    }
    return false;
}

void Keyer::run()
{
    switch (state)
    {
    case State::Wait:
        if (left_paddle_pressed())
            state = State::LeftPaddlePressed;
        break;
    case State::LeftPaddlePressed:
        printf(".");
        state = State::Wait;
        break;

    default:
        break;
    }
}